- name: Ensure user plasmagoat exists
  ansible.builtin.user:
    name: plasmagoat
    groups: wheel,docker,networkmanager
    shell: /usr/bin/zsh
    state: present

- name: Set authorized SSH keys for plasmagoat
  ansible.posix.authorized_key:
    user: plasmagoat
    key: "{{ item }}"
  loop:
    - "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABgQCeg/n/..."
    - "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAICUP7m8jZJ..."
